MantisBT
Mantis Bug Tracker Workflow

View Revisions: Issue #29791 All Revisions ] Back to Issue ]
Summary 0029791: Visualization - Wrong result of SelectMgr_RectangularFrustum::IsClipped
Revision 2018-05-24 19:00 by kgv
Steps To Reproduce
pload MODELING VISUALIZATION
restore [locate_data_file bottle.brep] b
vclear
vinit View1
vdisplay -dispMode 1 -highMode 1 b
vfit
vzbufftrihedron
vviewparams -scale 14.7435 -proj 0.193921 -0.891229 0.410007 -up -0.0205984 0.414149 0.909976 -at 11.3689 
1.32152 24.9954
vclipplane p -equation 1 0 0 -20 -set
vmoveto 150 200
vstate -entities
vselect 150 200
if { [vreadpixel 150 200 rgb name] != "BLACK"      } { puts "Error1" }
if { [vreadpixel 300 200 rgb name] != "GOLDENROD1" } { puts "Error2" }



To represent a problem, one can try this code:

    TopoDS_Shape bottle = MakeBottle(70, 100, 30);
    Handle(AIS_Shape) aBottle = new AIS_Shape(bottle);
    Handle(Graphic3d_ClipPlane) planeLeft = new
    Graphic3d_ClipPlane(gp_Pln(gp_Pnt(20, 0, 0), gp::DX()));
    aBottle->AddClipPlane(planeLeft);

    myContext->Display(aBottle, true);
(MakeBottle - simple function from OCCT docs making sample bottle).
Revision 2018-05-24 18:48 by kgv
Steps To Reproduce
pload MODELING VISUALIZATION
restore [locate_data_file bottle.brep] b
vclear
vinit View1 -width 936 -height 552
vdisplay -dispMode 1 -highMode 1 b
vfit
vzbufftrihedron
vviewparams -scale 14.7435 -proj 0.193921 -0.891229 0.410007 -up -0.0205984 0.414149 0.909976 -at 11.3689 
1.32152 24.9954
vclipplane p -equation 1 0 0 -20 -set
vmoveto 250 250
vstate -entities
vselect 250 250
if { [vreadpixel 250 250 rgb name] != "BLACK"      } { puts "Error1" }
if { [vreadpixel 550 250 rgb name] != "GOLDENROD1" } { puts "Error2" }


To represent a problem, one can try this code:

    TopoDS_Shape bottle = MakeBottle(70, 100, 30);
    Handle(AIS_Shape) aBottle = new AIS_Shape(bottle);
    Handle(Graphic3d_ClipPlane) planeLeft = new
    Graphic3d_ClipPlane(gp_Pln(gp_Pnt(20, 0, 0), gp::DX()));
    aBottle->AddClipPlane(planeLeft);

    myContext->Display(aBottle, true);
(MakeBottle - simple function from OCCT docs making sample bottle).
Revision 2018-05-24 18:48 by kgv
Steps To Reproduce
pload MODELING VISUALIZATION
restore [locate_data_file bottle.brep] b
vclear
vinit View1 -width 936 -height 552
vdisplay -dispMode 1 -highMode 1 b
vfit
vzbufftrihedron
vviewparams -scale 14.7435 -proj 0.193921 -0.891229 0.410007 -up -0.0205984 0.414149 0.909976 -at 11.3689 
1.32152 24.9954
vclipplane p -equation 1 0 0 -20 -set
vmoveto 250 250
vstate -entities

vselect 250 250
if { [vreadpixel 250 250 rgb name] != "BLACK"      } { puts "Error1" }
if { [vreadpixel 550 250 rgb name] != "GOLDENROD1" } { puts "Error2" }


To represent a problem, one can try this code:

    TopoDS_Shape bottle = MakeBottle(70, 100, 30);
    Handle(AIS_Shape) aBottle = new AIS_Shape(bottle);
    Handle(Graphic3d_ClipPlane) planeLeft = new
    Graphic3d_ClipPlane(gp_Pln(gp_Pnt(20, 0, 0), gp::DX()));
    aBottle->AddClipPlane(planeLeft);

    myContext->Display(aBottle, true);
(MakeBottle - simple function from OCCT docs making sample bottle).
Revision 2018-05-21 14:41 by Freeman
Steps To Reproduce To represent a problem, one can try this code:

    TopoDS_Shape bottle = MakeBottle(70, 100, 30);
    Handle(AIS_Shape) aBottle = new AIS_Shape(bottle);
    Handle(Graphic3d_ClipPlane) planeLeft = new
    Graphic3d_ClipPlane(gp_Pln(gp_Pnt(20, 0, 0), gp::DX()));
    aBottle->AddClipPlane(planeLeft);

    myContext->Display(aBottle, true);
(MakeBottle - simple function from OCCT docs making sample bottle).


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker